Problème apt [Résolu/Fermé]

Signaler
Messages postés
128
Date d'inscription
mercredi 10 septembre 2008
Statut
Membre
Dernière intervention
12 mars 2018
-
 Yukii -
Bonjour,
Je craque, j'ai voulu installer emesene avec synaptic et comme je triffouille depuis un moment je ne sais pas ce que j'ai fait mais j'ai voulu repartir à zéro en allant dans ajouter/supprimer et voici le message :La base de données APT n'a pas pu être ouverte ! Cela peut être dû à une mauvaise configuration de APT ou à un problème similaire. Essayez de lancer apt-setup et apt-get update dans un terminal et voyez si cela résout le problème. Et donc je ne sais pas ce que je dois faire !!! Help svp

12 réponses


tu ovre ton teminal et tu marque la commande qu'il ton donner
le terminale se trouve dans: applications,accessoires,terminale
marjcad
Messages postés
128
Date d'inscription
mercredi 10 septembre 2008
Statut
Membre
Dernière intervention
12 mars 2018

à quoi correspond applications, j'ai kubuntu

je sai pas je suis sous ubuntu mais je crois que c dans systeme
marjcad
Messages postés
128
Date d'inscription
mercredi 10 septembre 2008
Statut
Membre
Dernière intervention
12 mars 2018

et aprés systeme car je n'ai rien qui ressemble à accessoires etterminale, à part konsole terminal. Est ce c'est ça ?

oui ce doit etre sa tu copie la commande apt-setup et apt-get update dans la konsole
Messages postés
128
Date d'inscription
mercredi 10 septembre 2008
Statut
Membre
Dernière intervention
12 mars 2018

apt-setup : introuvable
apt-get update : E: Le type « sudo » est inconnu sur la ligne 46 dans la liste des sources /etc/apt/sources.list
et /etc/apt/sources.list : bash: /etc/apt/sources.list: Permission non accordée

c'est galère je suis nulle

dsl je sais pas car je nutilise pas kubuntu apparament il s'agit d'un bug
mais vas sur le forum de ce site il sauront te répondre http://www.kubuntu-fr.org/
ps:il faut s'inscrire
marjcad
Messages postés
128
Date d'inscription
mercredi 10 septembre 2008
Statut
Membre
Dernière intervention
12 mars 2018

merci pour tes réponses mais pour l'instant je ne peux pas me connecter car il y a un souci sur le site. Merci et A+
Messages postés
2219
Date d'inscription
dimanche 29 octobre 2006
Statut
Contributeur
Dernière intervention
15 novembre 2014
390
salut,

il faut taper

sudo apt-get update

sinon tape
cat /etc/apt/sources.list

et colle ici le résultat
marjcad
Messages postés
128
Date d'inscription
mercredi 10 septembre 2008
Statut
Membre
Dernière intervention
12 mars 2018

sudo apt-get update
[sudo] password for Marjo:
E: Le type « sudo » est inconnu sur la ligne 46 dans la liste des sources /etc/apt/sources.list


cat /etc/apt/sources.list
deb cdrom:[Kubuntu 7.10 _Gutsy Gibbon_ - Release i386 (20071016.1)]/ gutsy main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://fr.archive.ubuntu.com/ubuntu/ gutsy main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ gutsy restricted main multiverse universe #Added by software-properties

## Major bug fix updates produced after the final release of the
## distribution.

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://fr.archive.ubuntu.com/ubuntu/ gutsy universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ gutsy multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://fr.archive.ubuntu.com/ubuntu/ gutsy-backports main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ gutsy-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
# deb http://archive.canonical.com/ubuntu gutsy partner
# deb-src http://archive.canonical.com/ubuntu gutsy partner

deb http://security.ubuntu.com/ubuntu gutsy-security main restricted
deb-src http://security.ubuntu.com/ubuntu gutsy-security restricted main multiverse universe #Added by software-properties
deb http://security.ubuntu.com/ubuntu gutsy-security universe
deb http://security.ubuntu.com/ubuntu gutsy-security multiverse
sudo apt-get install emesenedeb http://apt.emesene.org/ ./
deb http://apt.emesene.org/ ./
Marjo@lionno-desktop:~$


bon courage
Messages postés
2219
Date d'inscription
dimanche 29 octobre 2006
Statut
Contributeur
Dernière intervention
15 novembre 2014
390
ouvre ton fichier sources.list

sudo nano /etc/apt/sources.list


puis supprime la ligne: sudo apt-get install emesenedeb http://apt.emesene.org/ ./ puis sauvegarde et quitte et enfin recharge: (ctrl+O ctrl +X)
sudo aptitude update


et ca devrait aller
marjcad
Messages postés
128
Date d'inscription
mercredi 10 septembre 2008
Statut
Membre
Dernière intervention
12 mars 2018

Super, ça a marché, un grand merci.
Peut être pourrions nous continuer l'aventure car cette erreur vient du fait que je n'arrive pas à intaller emesene . Peux-tu me donner la marche à suivre stp.
Messages postés
2219
Date d'inscription
dimanche 29 octobre 2006
Statut
Contributeur
Dernière intervention
15 novembre 2014
390
tape

sudo aptitude emesene
marjcad
Messages postés
128
Date d'inscription
mercredi 10 septembre 2008
Statut
Membre
Dernière intervention
12 mars 2018

est-ce qu'il me manque quelque chose ? Et qu'est-ce que je dois faire ?



Commande inconnue « emesene »
aptitude 0.4.6.1
Utilisation : aptitude [-S NomFichier] [-u|-i]
aptitude [options] <action> ...
Actions (si aucune n'est indiquée, aptitude entrera en mode interactif) :

install - Installer ou mettre à jour des paquets
remove - Supprimer des paquets
purge - Supprimer des paquets et leurs fichiers de configuration
hold - Garder ce paquet
unhold - Annuler une commande pour garder un paquet
markauto - Marquer les paquets comme ayant été automatiquement installés
unmarkauto - Marquer les paquets comme ayant été manuellement installés
forbid-version - Interdire à aptitude la mise à jour vers une version
spécifique de paquet.
update - Télécharger les listes de paquets nouveaux/à mettre à jour
safe-upgrade - Effectuer une mise à jour en toute sécurité
full-upgrade - Effectuer une mise à jour, en installant et supprimant
éventuellement des paquets
forget-new - Oublier quels paquets sont « nouveaux »
search - Rechercher des paquets en indiquant leur nom ou une expression
show - Afficher les informations détaillées concernant un paquet
clean - Effacer les fichiers des paquets téléchargés
autoclean - Effacer les anciens fichiers des paquets téléchargés
changelog - Voir le journal des modifications d'un paquet
download - Télécharger le fichier .deb d'un paquet
reinstall - Télécharger et (éventuellement) réinstaller un paquet déjà
installé

Options :
-h Afficher ce texte d'aide
-s Simuler les actions, sans les effectuer réellement
-d Effectuer uniquement le téléchargement d'un paquet, sans
installer ou enlever quoi que ce soit.
-P Toujours demander confirmation pour les actions
-y Supposer que la réponse à des questions oui/non est « oui »
-F format Indiquer un format pour l'affichage des résultats d'une
recherche ; voir le manuel
-O ordre Indiquer comment les résultats d'une recherche doivent être
ordonnés ; voir le manuel
-w largeur Indiquer la largeur de l'affichage pour le formatage des
résultats d'une recherche
-f Tenter de corriger de manière agressive les paquets cassés.
-V Afficher quelles versions des paquets vont être installées.
-D Afficher les dépendances des paquets qui ont été modifiés
automatiquement.
-Z Afficher la modification de la taille de chacun des paquets
après installation.
-v Afficher des informations supplémentaires (peut être indiquée
plusieurs fois).
-t [dist] Indiquer la distribution pour laquelle le paquet doit être
installé
-q En mode ligne de commande, supprimer l'indicateur d'avancement.
-o clé=valeur Établir directement l'option de configuration appelée « clé »
--with(out)-recommends Préciser s'il faut ou non considérer les recommandations
comme des dépendances fortes
-S nomfic Lire les informations d'état étendu d'Aptitude à partir du
fichier nomfic.
-u Télécharger les nouvelles listes de paquets au démarrage.
-i Effectuer une opération d'installation lors du démarrage.

Cet aptitude n'a pas de « Super Cow Powers ».
Marjo@lionno-desktop:~$
Messages postés
2219
Date d'inscription
dimanche 29 octobre 2006
Statut
Contributeur
Dernière intervention
15 novembre 2014
390
oups désolé :-/ la bonne commande c'est:

sudo aptitude install emesene
marjcad
Messages postés
128
Date d'inscription
mercredi 10 septembre 2008
Statut
Membre
Dernière intervention
12 mars 2018

T'es génial.
Par contre je ne peux pas avoir la webcam avec emesene ?
Messages postés
2219
Date d'inscription
dimanche 29 octobre 2006
Statut
Contributeur
Dernière intervention
15 novembre 2014
390
Pour la webcam je ne sais pas, tu devrais ouvrir un autre poste, quelqu'un saura surement t'aider

;-)
marjcad
Messages postés
128
Date d'inscription
mercredi 10 septembre 2008
Statut
Membre
Dernière intervention
12 mars 2018

ok, en tout cas merci pour tout et ta patience.
A+
Messages postés
2219
Date d'inscription
dimanche 29 octobre 2006
Statut
Contributeur
Dernière intervention
15 novembre 2014
390
de rien ;-)
j'ai suivi vote procédure, mais lorsque j'arrive à " sudo apt-get update " il ne trouve pas certains fichiers et pour finir "il est impossible de localiser les paquets" . j'ai décompressé emesene pourtant.

si quelqu'un peut m'aider a trouver une solution, merci =)